{% extends "../index.htm" %}
{% load i18n %}  
{% load static %}

{% block htmlData %}
    <script src='{% static "js/otherStuff.js" %}'></script>
    <script src='{% static "js/smtpStuff.js" %}'></script>
    
    <!-- Edit existing Smtp -->
    <div style='display: none'>
        <input type="text" id="sessInfo" value="{{ domain }};{{ token }}">
    </div>
    
    <div id="editSmtp" class="w3-row">
        <div class="w3-bar w3-light-grey">
            <a class="w3-button w3-blue"  style='text-decoration: none;' nohref=""><i class="fas fa-envelope fa-lg"></i> {% trans 'SMTP' %} </a>
            <a class="w3-button w3-blue"  style='text-decoration: none;' href="/manage"><i class="fas fa-reply-all fa-lg "></i> {% trans 'Back to Manage' %}</i></a>
        </div> 
        <div class="w3-row-padding w3-section" style="max-width:800px">
            <form class="w3-container" method="POST" action="/manage/domain/smtp/update">
                {% csrf_token %}
                <div class=" w3-half">
                    <div class="w3-margin">                            
                       
                        <label><b>{% trans 'Mailserver' %}</b></label>
                        <input class="w3-input w3-border w3-margin-bottom" type="text" placeholder="Mail Server hostname" id="editServer" name="server" value="{{ smtp.server }}" required>

                        <label><b>{% trans 'Mailbox' %}</b></label>
                        <input class="w3-input w3-border w3-margin-bottom" type="email" placeholder="account@domain.tld" id="editAccount" name="account" value="{{ smtp.account }}" required>
                        
                        <label><b>{% trans 'Password' %}</b></label>
                        <input class="w3-input w3-border w3-margin-bottom" type="text" placeholder="Password" id="editPasswd" name="passwd" value="{{ smtp.passwd }}"  required>
 
                        <label><b>{% trans 'Protocol' %}</b></label>
                        <select class="w3-select w3-border w3-margin-bottom" name='protocol' id='editProtocol' onchange='setPort("editProtocol","editPort")' >
                            <option value='smtp'> SMTP </option>
                            <option value='smtps'> SMTPS </option>
                            <option value='ssl-tls'> SSL-TLS </option>
                        </select>
                        
                        <label><b>{% trans 'Port' %}</b></label>
                        <input class="w3-input w3-border w3-margin-bottom" type="number" value='25' id='editPort' name="port"  required>                               
                            
                        <label><b>{% trans 'verifyPeer' %}</b> </label>
                        <input class="w3-check w3-border w3-margin-bottom" type="checkbox"  id="editVerifypeer" name="verifypeer" value="True" >
                    </div>
                </div>
                <div class="w3-container w3-border-top w3-padding-16 ">
                    <button class="w3-button w3-green w3-padding " type="submit">{% trans 'Submit' %}</button>
                    <button class="w3-button w3-red w3-padding " onclick='resetSmtp()' type="button">{% trans 'Reset' %}</button>
                </div>
            </form>
        </div> 

    </div>
    
    {% if smtp.protocol %}
        <script> 
        document.getElementById("editProtocol").value = "{{ smtp.protocol }}";
        document.getElementById("editPort").value = "{{ smtp.port }}";
        
        var enable = "{{ smtp.verifypeer }}" ;
        if( enable == 'True' ) {
            checked = 'checked';
            document.getElementById('editVerifypeer').checked = checked;            
        };
        
        </script>
    {% endif %}
    
{% endblock %}
